<?php

/**
 * EzHost - Joomla Template
 *
 * @package bt_ezhost
 * @version 1.0
 * @copyright BonusThemes.com 2009
 * @link http://www.bonusthemes.com/goto/bt_ezhost
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$style = '';
$filename = JPATH_ROOT . '/templates/bt_ezhost/params.ini';
if ($fp = fopen($filename, 'r')) {
	$contents = fread($fp, filesize($filename));
	if (preg_match('/blogstyle=([a-z]+)/', $contents, $m))
		$style = $m[1];
	fclose($fp);
}

if ($style != 'blog') {
	require(JPATH_ROOT . '/components/com_content/views/article/tmpl/default.php');
	return;
}

$canEdit   = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));

if ($canEdit) : ?>
	<div class="contentpaneopen_edit<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
		<?php echo JHTML::_('icon.edit', $this->item, $this->item->params, $this->access); ?>
	</div>
<?php endif; ?>
<?php if ($this->item->state == 0) : ?>
<div class="system-unpublished">
<?php endif; ?>

<div>
<?php

if ($this->item->params->get('show_create_date')) {
	$day_first = false;
	list($day, $month, $year) = explode(' ', date('j F Y', strtotime($this->item->created)));
	echo '
	<div class="blogdate">
';
	if ($day_first) 
		echo '
		<div class="day">' . $day . '</div>
		<div class="month">' . JText::_($month) . '</div>
';
	else
		echo '
		<div class="month">' . JText::_($month) . '</div>
		<div class="day">' . $day . '</div>
';

	echo '
		<div class="year">' . JText::_($year) . '</div>
	</div>
';
}


$elements = array();

if ($this->item->params->get('show_author') && $this->item->author != "")
	$elements[] = '<span class="author">' . JText::sprintf( 'Written by', ($this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author) ) . '</span>';

if ($this->item->params->get('show_pdf_icon'))
	$elements[] = JHTML::_('icon.pdf', $this->item, $this->item->params, $this->access);

if ( $this->item->params->get( 'show_print_icon' ))
	$elements[] = JHTML::_('icon.print_popup', $this->item, $this->item->params, $this->access);

if ($this->item->params->get('show_email_icon'))
	$elements[] = JHTML::_('icon.email', $this->item, $this->item->params, $this->access);

if ($canEdit)
	$elements[] = JHTML::_('icon.edit', $this->item, $this->item->params, $this->access);


if ($this->item->params->get('show_title') || !empty($elements)) {
	echo '
	<div class="contentpaneopen' . $this->item->params->get( 'pageclass_sfx' ) . '">
	';
	
	if ($this->item->params->get('show_title')) {
		echo '
		<div class="contentheading' . $this->item->params->get( 'pageclass_sfx' ) . '">
	';
		if ($this->item->params->get('link_titles') && $this->item->readmore_link != '')
			echo '<a href="' . $this->item->readmore_link . '" class="contentpagetitle' . $this->item->params->get( 'pageclass_sfx' ) . '">' . $this->item->title . '</a>
	';
		else
			echo $this->escape($this->item->title);
	
		echo '
		</div>
	';
	}

	if (!empty($elements))	
		echo '
		<div class="contentinfo">
		' . implode(' &nbsp; ', $elements) . '
		</div>
	';
	
	echo '
	</div>
	';
}

?>
</div>

<?php  if (!$this->item->params->get('show_intro')) :
	echo $this->item->event->afterDisplayTitle;
endif; ?>
<?php echo $this->item->event->beforeDisplayContent; ?>
<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
<?php if (($this->item->params->get('show_section') && $this->item->sectionid) || ($this->item->params->get('show_category') && $this->item->catid)) : ?>
<tr>
	<td>
		<?php if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) : ?>
		<span>
			<?php if ($this->item->params->get('link_section')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->item->section; ?>
			<?php if ($this->item->params->get('link_section')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
				<?php if ($this->item->params->get('show_category')) : ?>
				<?php echo ' - '; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
		<?php if ($this->item->params->get('show_category') && $this->item->catid) : ?>
		<span>
			<?php if ($this->item->params->get('link_category')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->item->category; ?>
			<?php if ($this->item->params->get('link_category')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
	</td>
</tr>
<?php endif; ?>

<?php if ($this->item->params->get('show_url') && $this->item->urls) : ?>
<tr>
	<td valign="top" colspan="2">
		<a href="http://<?php echo $this->item->urls ; ?>" target="_blank">
			<?php echo $this->item->urls; ?></a>
	</td>
</tr>
<?php endif; ?>

<tr>
<td valign="top" colspan="2">
<?php if (isset ($this->item->toc)) : ?>
	<?php echo $this->item->toc; ?>
<?php endif; ?>
<?php echo $this->item->text; ?>
</td>
</tr>

<?php if ( intval($this->item->modified) != 0 && $this->item->params->get('show_modify_date')) : ?>
<tr>
	<td colspan="2"  class="modifydate">
		<?php echo JText::sprintf('LAST_UPDATED2', JHTML::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))); ?>
	</td>
</tr>
<?php endif; ?>

<?php if ($this->item->params->get('show_readmore') && $this->item->readmore) : ?>
<tr>
	<td  colspan="2">
		<a href="<?php echo $this->item->readmore_link; ?>" class="readon<?php echo $this->item->params->get('pageclass_sfx'); ?>">
			<?php if ($this->item->readmore_register) :
				echo JText::_('Register to read more...');
			elseif ($readmore = $this->item->params->get('readmore')) :
				echo $readmore;
			else :
				echo JText::sprintf('Read more...');
			endif; ?></a>
	</td>
</tr>
<?php endif; ?>

</table>
<?php if ($this->item->state == 0) : ?>
</div>
<?php endif; ?>
<span class="article_separator">&nbsp;</span>
<?php echo $this->item->event->afterDisplayContent; ?>
